Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.impl.bridge
Class EntityRegionAdapter

    java.lang.Object
      org.hibernate.cache.impl.bridge.BaseRegionAdapter
          org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
              org.hibernate.cache.impl.bridge.EntityRegionAdapter

All Implemented Interfaces:
  EntityRegion, Region, TransactionalDataRegion

    public class EntityRegionAdapter

extends BaseTransactionalDataRegionAdapter
implements EntityRegion

Adapter specifically bridging `EntityRegion` to `Cache`.

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
`metadata`

Fields inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`settings, underlyingCache`

Constructor Summary
`EntityRegionAdapter(Cache underlyingCache, Settings settings, CacheDataDescription metadata)`

Method Summary
`EntityRegionAccessStrategy` | `buildAccessStrategy(AccessType accessType)` Build an access strategy for the requested access type.

Methods inherited from class org.hibernate.cache.impl.bridge.BaseTransactionalDataRegionAdapter
`getCacheDataDescription, isTransactionAware`

Methods inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`clear, contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.TransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from interface org.hibernate.cache.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### EntityRegionAdapter

    public EntityRegionAdapter(Cache underlyingCache,
                               Settings settings,
                               CacheDataDescription metadata)

Method Detail

### buildAccessStrategy

    public EntityRegionAccessStrategy buildAccessStrategy(AccessType accessType)
                                                   throws CacheException

  Description copied from interface: `EntityRegion`
  Build an access strategy for the requested access type.

  Specified by:
    `buildAccessStrategy` in interface `EntityRegion`
  Parameters:
    `accessType` - The type of access strategy to build; never null.
  Returns:
    The appropriate strategy contract for accessing this region for the requested type of access.
  Throws:
    `CacheException` - Usually indicates mis-configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.